#! Flux2D 20.1

############################################################################
######## Vibration Analysis - Export Magnetic Forces at Multi-Speed ########
############################################################################

newProject()


### STEP Import
importGeomFromSTEPAdvanced(fileName='IkerMAQ.STEP',
                           coordSys=CoordSys['XY1'],
                           scaleFactor=1.0,
                           importSolids=0,
                           importFreeFaces=1,
                           importFreeLines=1,
                           ImportInvisibleEntities=1,
                           healing=1,
                           stitching=0,
                           assembly=1,
                           geometryCenter=0,
                           collisionDetection=1,
                           solidSeparation=1,
                           stitchingToleranceCoeff=1.0,
                           assemblyToleranceCoeff=1.0)
                           
                
### Creat infinity box and periodicity
lastInstance = InfiniteBoxDisc(DISCOID=['200',
                         '210'])

lastInstance = PeriodicityAngularZaxis(physicalType=PeriodicityCyclicType(),
                        angles=['72',
                                '0'])

InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
           coordSys=CoordSys['XY1'],
           linkMesh='LinkMesh')
           
### Create mesh information
MeshLineArithmetic(name='HALF_MAGNET_BOTTOM',

                   color=Color['White'],

                   number=25)


MeshLineArithmetic(name='MAGNET_BOTTOM',

                   color=Color['White'],

                   number=50)


MeshLineArithmetic(name='MAGNET_BRIDGE',

                   color=Color['White'],

                   number=20)


MeshLineArithmetic(name='SLOT_OPENING',

                   color=Color['White'],

                   number=5)


MeshLineArithmetic(name='SLOT',

                   color=Color['White'],

                   number=20)

Line[64].mesh=MeshLine['MAGNET_BOTTOM']


LineSegment[45,62].mesh=MeshLine['HALF_MAGNET_BOTTOM']


LineSegment[46,50,67,52,65,55,61,57].mesh=MeshLine['MAGNET_BRIDGE']


LineSegment[15,19,21,20,17,122,123,119,120,121,33,29,31,34,35,8,12,13,10,103,99,102,100,14,101,7,6,5,1,3,22,24,27,26,28,80,81,82,83,79,40,42,38,36,39].mesh=MeshLine['SLOT']


LineSegment[95,94,92,93,90,89,87,88,84,85,136,137,74,75,77,78,97,98,105,104,108,107,110,109,112,113,115,114,117,118,125,124,127,128,130,129].mesh=MeshLine['SLOT_OPENING']


FaceAutomatic[13,19].color=Color['Red']

### Mesh
meshDomain()

### Check mesh
checkMesh()

### Save project as
saveProjectAs('IKERMAQ_MULTISPEED_GEOM_MESH.FLU')
 

