#! Flux2D 20.1

############################################################################
######## Vibration Analysis - Export Magnetic Forces at Multi-Speed ########
############################################################################


### Create scenario

Scenario(name='MULTI_SPEED')

startMacroTransaction()

Scenario['MULTI_SPEED'].addPilot(pilot=MultiValues(parameter=VariationParameter['ANGPOS_ROTOR'],
                                                   intervals=[IntervalStepValue(minValue=0.0,
                                                                                maxValue=144.0,
                                                                                stepValue=2.0)]))

Scenario['MULTI_SPEED'].addPilot(pilot=MultiValues(parameter=VariationParameter['SPEED'],
                                                   intervals=[IntervalListValues(minValue=88.597,
                                                                                 maxValue=1231.978,
                                                                                 values=[88.597, 265.792, 442.986, 620.181, 824.113, 1028.046, 1231.978])]))

endMacroTransaction()


### Solve scenario
Scenario['MULTI_SPEED'].solve(projectName='IKERMAQ_MULTISPEED_PHYSICS_SOLVED')
